%define name perl-PerlIO-eol
%define real_name PerlIO-eol
%define version 0.14
%define rel     2

Summary:	PerlIO layer for normalizing line endings
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{rel}
License:	GPL or Artistic
Group:		Development/Perl
Source:         http://search.cpan.org/CPAN/authors/id/A/AU/AUTRIJUS/%{real_name}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{real_name}/
BuildRequires:  perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This perl module enable you to normalize line endings
This layer normalizes any of CR, LF, CRLF and Native into the designated line 
ending. 
It works for both input and output handles.

%prep
%setup -q -n %{real_name}-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
%check 
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorarch}/PerlIO
%{perl_vendorarch}/auto/PerlIO





%changelog
* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.14-2mdv2008.1
+ Revision: 152171
- rebuild for new perl
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu May 03 2007 Michael Scherer <misc@mandriva.org> 0.14-1mdv2008.0
+ Revision: 20949
- update to 0.14


* Fri Dec 09 2005 Michael Scherer <misc@mandriva.org> 0.13-4mdk
- Rebuild
- use mkrel
- use check

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 0.13-3mdk
- Rebuild for new perl

* Fri Oct 29 2004 Michael Scherer <misc@mandrake.org> 0.13-2mdk 
- BuildRequires

* Sun Oct 24 2004 Michael Scherer <misc@mandrake.org> 0.13-1mdk
- First Mandrakelinux package

